<?php

namespace app\admin\model;

use think\Model;


class UserWallet extends Model
{

    

    

    // 表名
    protected $name = 'user_wallet';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = false;

    // 追加属性
    protected $append = [

    ];
    

    







    public function company()
    {
        return $this->belongsTo('Company', 'company_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function staff()
    {
        return $this->belongsTo('app\admin\model\CompanyStaff', 'staff_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
