<?php

namespace app\common\model;

use think\Db;
use think\Model;

/**
 * 会员模型
 */
class Company extends Model
{

    // 表名
    protected $name = 'company';
    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';
    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    // 追加属性
    protected $append = [];

    public function getStatusList()
    {
        return ['-1' => '新来的', '0' => '待审核', '1' => '审核通过', '2' => '审核不通过'];
    }
}
